summaryrefslogtreecommitdiff
path: root/www-apps
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2015-01-14 02:39:58 +0200
committerBlackNoxis <steven.darklight@gmail.com>2015-01-14 02:39:58 +0200
commit7e556db892ba8848a658fd0f217d82d1d18c9a17 (patch)
treea39fcfd5cf5a78dcbc46517d81eebf16e76bc75e /www-apps
parent9522408084caf38a18cecc3a6e43442ca4cdf3b9 (diff)
Added gitweb to kogaion desktop
Diffstat (limited to 'www-apps')
-rw-r--r--www-apps/gitweb/Manifest2
-rw-r--r--www-apps/gitweb/gitweb-2.1.3.ebuild164
-rw-r--r--www-apps/gitweb/gitweb-2.2.1.ebuild164
-rw-r--r--www-apps/gitweb/metadata.xml10
4 files changed, 340 insertions, 0 deletions
diff --git a/www-apps/gitweb/Manifest b/www-apps/gitweb/Manifest
new file mode 100644
index 00000000..479c81a7
--- /dev/null
+++ b/www-apps/gitweb/Manifest
@@ -0,0 +1,2 @@
+DIST git-2.1.3.tar.xz 3542704 SHA256 fe1b06aefa73e8d86cbd352523fc0950b8904ae2ec47085b22b7880f45de6f57 SHA512 8a8e4c0a580fb7647f8689ce126c3d97dc7b2c2f8c72087b7fef2b876590f0cfb8298ba756298ab1dfbb2350d17328c2adef11bd72049f757593f05f18d9fac3 WHIRLPOOL 9314a3820598e3ae949d1a0d61ffb2b46f3e6b86bf8483f90a0bdd472e532f5e612d68cd9822ead51a49a8d99fb3e5b9981a7d4130e07f279e5a32db4fc0d673
+DIST git-2.2.1.tar.xz 3590808 SHA256 09422dc9a0bdddf6bdd5b8634c71e1ed3125256c47424e6a2687701e764ef450 SHA512 66bccfa617d2c8e2e61e5aac9b8daef9d4dc151b85906af252cadef3306ecf792ad6d7869deb149f0d04f6e7c3e9f71119bfeece5690e61782fb357e5384027b WHIRLPOOL f288d0227f3ad3045fd7dcc7a7fa6e68cb29c3a4d363d6648aa4f09aa5742a4496c67d63d0ad120a1f8f9420b9ae30930b8ffb3229f176cf429f8b8c8a1d06e6
diff --git a/www-apps/gitweb/gitweb-2.1.3.ebuild b/www-apps/gitweb/gitweb-2.1.3.ebuild
new file mode 100644
index 00000000..f4aef8b8
--- /dev/null
+++ b/www-apps/gitweb/gitweb-2.1.3.ebuild
@@ -0,0 +1,164 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+GENTOO_DEPEND_ON_PERL=no
+
+[[ ${PV} == *9999 ]] && SCM="git-2"
+EGIT_REPO_URI="git://git.kernel.org/pub/scm/git/git.git"
+EGIT_MASTER=pu
+
+inherit toolchain-funcs eutils ${SCM}
+
+MY_PV="${PV/_rc/.rc}"
+MY_PV="${MY_PV/gitweb/git}"
+MY_P="${PN}-${MY_PV}"
+MY_P="${MY_P/gitweb/git}"
+
+DESCRIPTION="A web interface to git"
+HOMEPAGE="http://www.git-scm.com/"
+if [[ "$PV" != *9999 ]]; then
+ SRC_URI_SUFFIX="xz"
+ SRC_URI_GOOG="http://git-core.googlecode.com/files"
+ SRC_URI_KORG="mirror://kernel/software/scm/git"
+ SRC_URI="${SRC_URI_GOOG}/${MY_P}.tar.${SRC_URI_SUFFIX}
+ ${SRC_URI_KORG}/${MY_P}.tar.${SRC_URI_SUFFIX}"
+ KEYWORDS="~amd64 ~x86"
+else
+ SRC_URI=""
+ KEYWORDS=""
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="highlight"
+
+# Common to both DEPEND and RDEPEND
+CDEPEND="
+ ~dev-vcs/git-${PV}
+ sys-libs/zlib
+ dev-lang/perl:=[-build(-)]
+ dev-libs/libpcre
+ dev-lang/tk"
+
+RDEPEND="${CDEPEND}
+ dev-vcs/git[-cgi]
+ dev-perl/Error
+ dev-perl/Net-SMTP-SSL
+ dev-perl/Authen-SASL
+ virtual/perl-CGI highlight? ( app-text/highlight )"
+
+DEPEND="${CDEPEND}
+ app-arch/cpio
+ "
+
+SITEFILE=50${PN}-gentoo.el
+S="${WORKDIR}/${MY_P}"
+
+src_unpack() {
+ if [[ "${PV}" != *9999 ]]; then
+ unpack ${MY_P}.tar.${SRC_URI_SUFFIX}
+ cd "${S}"
+ else
+ git-2_src_unpack
+ cd "${S}"
+ #cp "${FILESDIR}"/GIT-VERSION-GEN .
+ fi
+
+}
+
+src_prepare() {
+ epatch_user
+
+ sed -i \
+ -e 's:^\(CFLAGS[[:space:]]*=\).*$:\1 $(OPTCFLAGS) -Wall:' \
+ -e 's:^\(LDFLAGS[[:space:]]*=\).*$:\1 $(OPTLDFLAGS):' \
+ -e 's:^\(CC[[:space:]]* =\).*$:\1$(OPTCC):' \
+ -e 's:^\(AR[[:space:]]* =\).*$:\1$(OPTAR):' \
+ -e "s:\(PYTHON_PATH[[:space:]]\+=[[:space:]]\+\)\(.*\)$:\1${EPREFIX}\2:" \
+ -e "s:\(PERL_PATH[[:space:]]\+=[[:space:]]\+\)\(.*\)$:\1${EPREFIX}\2:" \
+ Makefile || die "sed failed"
+
+ # Never install the private copy of Error.pm (bug #296310)
+ sed -i \
+ -e '/private-Error.pm/s,^,#,' \
+ perl/Makefile.PL
+}
+
+git_emake() {
+ local MY_MAKEOPTS="INSTALLDIRS=vendor"
+ emake ${MY_MAKEOPTS} \
+ DESTDIR="${D}" \
+ OPTCFLAGS="${CFLAGS}" \
+ OPTLDFLAGS="${LDFLAGS}" \
+ OPTCC="$(tc-getCC)" \
+ OPTAR="$(tc-getAR)" \
+ prefix="${EPREFIX}"/usr \
+ htmldir="${EPREFIX}"/usr/share/doc/${PF}/html \
+ sysconfdir="${EPREFIX}"/etc \
+ PERL_PATH="${EPREFIX}/usr/bin/env perl" \
+ PERL_MM_OPT="" \
+ GIT_TEST_OPTS="--no-color" \
+ V=1 \
+ "$@"
+}
+
+src_configure() {
+ einfo "Nothing to configure."
+}
+
+src_compile() {
+ git_emake perl/PM.stamp || die "emake perl/PM.stamp failed"
+ git_emake perl/perl.mak || die "emake perl/perl.mak failed"
+
+ git_emake \
+ gitweb \
+ || die "emake gitweb failed"
+}
+
+src_install() {
+ #if use perl && use cgi ; then
+ # dosym /usr/share/gitweb /usr/share/${PN}/gitweb
+
+ # INSTALL discusses configuration issues, not just installation
+ docinto /
+ newdoc "${S}"/gitweb/INSTALL INSTALL.gitweb
+ newdoc "${S}"/gitweb/README README.gitweb
+
+ find "${ED}"/usr/lib64/perl5/ \
+ -name .packlist \
+ -exec rm \{\} \;
+ #else
+ # rm -rf "${ED}"/usr/share/gitweb
+ #fi
+
+ exeinto /usr/share/gitweb/
+ doexe "${S}"/gitweb/gitweb.cgi
+
+ insinto /usr/share/gitweb/static
+ doins "${S}"/gitweb/static/*.png
+ doins "${S}"/gitweb/static/*.css
+ doins "${S}"/gitweb/static/*.js
+
+ # Maybe not needed, but it's created when non-split ebuild is used too.
+ dosym /usr/share/gitweb /usr/share/git/gitweb
+
+ # fixlocalpod from perl-module: not needed
+}
+
+showpkgdeps() {
+ local pkg=$1
+ shift
+ elog " $(printf "%-17s:" ${pkg}) ${@}"
+}
+
+pkg_postinst() {
+ elog "These additional scripts need some dependencies:"
+ echo
+ showpkgdeps git-quiltimport "dev-util/quilt"
+ showpkgdeps git-instaweb \
+ "|| ( www-servers/lighttpd www-servers/apache www-servers/nginx )"
+ echo
+}
diff --git a/www-apps/gitweb/gitweb-2.2.1.ebuild b/www-apps/gitweb/gitweb-2.2.1.ebuild
new file mode 100644
index 00000000..eb57594d
--- /dev/null
+++ b/www-apps/gitweb/gitweb-2.2.1.ebuild
@@ -0,0 +1,164 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+GENTOO_DEPEND_ON_PERL=no
+
+[[ ${PV} == *9999 ]] && SCM="git-2"
+EGIT_REPO_URI="git://git.kernel.org/pub/scm/git/git.git"
+EGIT_MASTER=pu
+
+inherit toolchain-funcs eutils ${SCM}
+
+MY_PV="${PV/_rc/.rc}"
+MY_PV="${MY_PV/gitweb/git}"
+MY_P="${PN}-${MY_PV}"
+MY_P="${MY_P/gitweb/git}"
+
+DESCRIPTION="A web interface to git"
+HOMEPAGE="http://www.git-scm.com/"
+if [[ "$PV" != *9999 ]]; then
+ SRC_URI_SUFFIX="xz"
+ SRC_URI_GOOG="http://git-core.googlecode.com/files"
+ SRC_URI_KORG="mirror://kernel/software/scm/git"
+ SRC_URI="${SRC_URI_GOOG}/${MY_P}.tar.${SRC_URI_SUFFIX}
+ ${SRC_URI_KORG}/${MY_P}.tar.${SRC_URI_SUFFIX}"
+ KEYWORDS="~amd64 ~x86"
+else
+ SRC_URI=""
+ KEYWORDS=""
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="highlight"
+
+# Common to both DEPEND and RDEPEND
+CDEPEND="
+ ~dev-vcs/git-${PV}
+ sys-libs/zlib
+ dev-lang/perl:=[-build(-)]
+ dev-libs/libpcre
+ dev-lang/tk"
+
+RDEPEND="${CDEPEND}
+ dev-vcs/git[-cgi]
+ dev-perl/Error
+ dev-perl/Net-SMTP-SSL
+ dev-perl/Authen-SASL
+ virtual/perl-CGI highlight? ( app-text/highlight )"
+
+DEPEND="${CDEPEND}
+ app-arch/cpio
+ "
+
+SITEFILE=50${PN}-gentoo.el
+S="${WORKDIR}/${MY_P}"
+
+src_unpack() {
+ if [[ "${PV}" != *9999 ]]; then
+ unpack ${MY_P}.tar.${SRC_URI_SUFFIX}
+ cd "${S}"
+ else
+ git-2_src_unpack
+ cd "${S}"
+ #cp "${FILESDIR}"/GIT-VERSION-GEN .
+ fi
+
+}
+
+src_prepare() {
+ epatch_user
+
+ sed -i \
+ -e 's:^\(CFLAGS[[:space:]]*=\).*$:\1 $(OPTCFLAGS) -Wall:' \
+ -e 's:^\(LDFLAGS[[:space:]]*=\).*$:\1 $(OPTLDFLAGS):' \
+ -e 's:^\(CC[[:space:]]* =\).*$:\1$(OPTCC):' \
+ -e 's:^\(AR[[:space:]]* =\).*$:\1$(OPTAR):' \
+ -e "s:\(PYTHON_PATH[[:space:]]\+=[[:space:]]\+\)\(.*\)$:\1${EPREFIX}\2:" \
+ -e "s:\(PERL_PATH[[:space:]]\+=[[:space:]]\+\)\(.*\)$:\1${EPREFIX}\2:" \
+ Makefile || die "sed failed"
+
+ # Never install the private copy of Error.pm (bug #296310)
+ sed -i \
+ -e '/private-Error.pm/s,^,#,' \
+ perl/Makefile.PL
+}
+
+git_emake() {
+ local MY_MAKEOPTS="INSTALLDIRS=vendor"
+ emake ${MY_MAKEOPTS} \
+ DESTDIR="${D}" \
+ OPTCFLAGS="${CFLAGS}" \
+ OPTLDFLAGS="${LDFLAGS}" \
+ OPTCC="$(tc-getCC)" \
+ OPTAR="$(tc-getAR)" \
+ prefix="${EPREFIX}"/usr \
+ htmldir="${EPREFIX}"/usr/share/doc/${PF}/html \
+ sysconfdir="${EPREFIX}"/etc \
+ PERL_PATH="${EPREFIX}/usr/bin/env perl" \
+ PERL_MM_OPT="" \
+ GIT_TEST_OPTS="--no-color" \
+ V=1 \
+ "$@"
+}
+
+src_configure() {
+ einfo "Nothing to configure."
+}
+
+src_compile() {
+ git_emake perl/PM.stamp || die "emake perl/PM.stamp failed"
+ git_emake perl/perl.mak || die "emake perl/perl.mak failed"
+
+ git_emake \
+ gitweb \
+ || die "emake gitweb failed"
+}
+
+src_install() {
+ #if use perl && use cgi ; then
+ # dosym /usr/share/gitweb /usr/share/${PN}/gitweb
+
+ # INSTALL discusses configuration issues, not just installation
+ docinto /
+ newdoc "${S}"/gitweb/INSTALL INSTALL.gitweb
+ newdoc "${S}"/gitweb/README README.gitweb
+
+ find "${ED}"/usr/lib64/perl5/ \
+ -name .packlist \
+ -exec rm \{\} \;
+ #else
+ # rm -rf "${ED}"/usr/share/gitweb
+ #fi
+
+ exeinto /usr/share/gitweb/
+ doexe "${S}"/gitweb/gitweb.cgi
+
+ insinto /usr/share/gitweb/static
+ doins "${S}"/gitweb/static/*.png
+ doins "${S}"/gitweb/static/*.css
+ doins "${S}"/gitweb/static/*.js
+
+ # Maybe not needed, but it's created when non-split ebuild is used too.
+ dosym /usr/share/gitweb /usr/share/git/gitweb
+
+ # perl_delete_localpod from perl-module: not needed
+}
+
+showpkgdeps() {
+ local pkg=$1
+ shift
+ elog " $(printf "%-17s:" ${pkg}) ${@}"
+}
+
+pkg_postinst() {
+ elog "These additional scripts need some dependencies:"
+ echo
+ showpkgdeps git-quiltimport "dev-util/quilt"
+ showpkgdeps git-instaweb \
+ "|| ( www-servers/lighttpd www-servers/apache www-servers/nginx )"
+ echo
+}
diff --git a/www-apps/gitweb/metadata.xml b/www-apps/gitweb/metadata.xml
new file mode 100644
index 00000000..302ade47
--- /dev/null
+++ b/www-apps/gitweb/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>slawomir.nizio@sabayon.org</email>
+ </maintainer>
+ <use>
+ <flag name="highlight">GitWeb support for app-text/highlight.</flag>
+ </use>
+</pkgmetadata>